Skip to content

Create physical exam

Request

Creates a new Physical Exam record. Physical Exam resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
animalIdstringrequired

Identifier of the animal that this physical exam pertains to.

Example:"123e4567-e89b-12d3-a456-426614174000"
bodySystemobject(CodeableConceptDto)

Body system examined, represented as a coded concept.

commentsstring

Free-text comments or findings from the physical exam.

Example:"example"
consultIdstringrequired

Identifier of the consult/visit associated with this physical exam.

Example:"123e4567-e89b-12d3-a456-426614174000"
examinedAtstring

Timestamp when the physical exam was performed or recorded.

Example:"2025-01-01T00:00:00.000Z"
extensionsobject

Vendor- or practice-specific extensions.

historicalRecordIdstring

Identifier linking this record to a historical record in the source system.

Example:"123e4567-e89b-12d3-a456-426614174000"
isActivebooleanrequired

Whether this physical exam record is active.

Example:true
physicalExamIdstring

Canonical identifier for the physical exam record.

Example:"123e4567-e89b-12d3-a456-426614174000"
vetIdstring

Identifier of the veterinarian who performed or recorded the exam.

Example:"123e4567-e89b-12d3-a456-426614174000"
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/physical-exam' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "animalId": "123e4567-e89b-12d3-a456-426614174000",
    "bodySystem": {
      "code": "12345",
      "system": "http://example.com/codesystem",
      "display": "Example Display Name"
    },
    "comments": "example",
    "consultId": "123e4567-e89b-12d3-a456-426614174000",
    "examinedAt": "2025-01-01T00:00:00.000Z",
    "extensions": {},
    "historicalRecordId": "123e4567-e89b-12d3-a456-426614174000",
    "isActive": true,
    "physicalExamId": "123e4567-e89b-12d3-a456-426614174000",
    "vetId": "123e4567-e89b-12d3-a456-426614174000"
  }'

Responses

Physical Exam created successfully

Bodyapplication/json
animalIdstringrequired

Identifier of the animal that this physical exam pertains to.

Example:"123e4567-e89b-12d3-a456-426614174000"
bodySystemobject(CodeableConceptDto)required

Body system examined, represented as a coded concept.

commentsstringrequired

Free-text comments or findings from the physical exam.

Example:"example"
consultIdstringrequired

Identifier of the consult/visit associated with this physical exam.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when the physical exam record was created.

Example:"2025-01-01T00:00:00.000Z"
examinedAtstring, (date-time)required

Timestamp when the physical exam was performed or recorded.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

historicalRecordIdstringrequired

Identifier linking this record to a historical record in the source system.

Example:"123e4567-e89b-12d3-a456-426614174000"
isActivebooleanrequired

Whether this physical exam record is active.

Example:true
physicalExamIdstringrequired

Canonical identifier for the physical exam record.

Example:"123e4567-e89b-12d3-a456-426614174000"
updatedAtstring, (date-time)required

Timestamp when the physical exam record was last modified.

Example:"2025-01-01T00:00:00.000Z"
vetIdstringrequired

Identifier of the veterinarian who performed or recorded the exam.

Example:"123e4567-e89b-12d3-a456-426614174000"
Response
{ "animalId": "123e4567-e89b-12d3-a456-426614174000", "bodySystem": { "code": "12345", "system": "http://example.com/codesystem", "display": "Example Display Name" }, "comments": "example", "consultId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "examinedAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "historicalRecordId": "123e4567-e89b-12d3-a456-426614174000", "isActive": true, "physicalExamId": "123e4567-e89b-12d3-a456-426614174000", "updatedAt": "2025-01-01T00:00:00.000Z", "vetId": "123e4567-e89b-12d3-a456-426614174000" }